using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using FingersDance.Data;

namespace FingersDance.ViewModels
{
    public class UserViewModel : ViewModelBase
    {
        readonly User user = new User();

        #region Constructor

        public UserViewModel(User u) {
            user.Name = u.Name;
            user.Email = u.Email;
            //Possibles Commands
        }
        #endregion

        #region Properties

        public String Name
        {
            get { return user.Name; }
            set { user.Name = value; }
        }
        
        public String Email
        {
            get { return user.Email; }
            set { user.Email = value; }
        }

        #endregion
    }
}
